Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007909TestLinkMetrics Dashboardpublic2017-04-03 14:462017-04-08 08:34
ReporterMr.Bricodage 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionwon't fix 
PlatformOSOS Version
Product Version1.9.16 (2016 Q4) 
Fixed in Version 
Summary0007909: Use the "direct link" to "Metrics Dashboard" reset the current selected project in TestLink
DescriptionWhen click on the direct link available in Metrics Dashboard for a project, the metrics Dashboard is displayed (in a new frame in my configuration).

The selected project in TestLink has been modified to an other project (always the same, not able to understand how this project is chosen) during this operation.
Steps To ReproducePrecondition : Several projects are available in TestLink

1) For Project A, in Metrics Dashboard, display the direct link
2) Click on the direct Link. A new frame is opened, showing Metrics Dashboard
3) Refresh the first Browser frame (example : to TestLink index) => the selected project has been modified.

If the project hasn't been modified, please try step 1 with an other project, you probably are in the default project.
Additional InformationTested with last GitHub version
TagsNo tags attached.
Database (MySQL,Postgres,etc)Any
BrowserFirefox 45.0.1
PHP Version
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Files

- Relationships
related to 0007913resolvedfman Use any report direct links log out the current user 

-  Notes
(0026236)
fman (administrator)
2017-04-03 15:39

First thing to remember is that Direct link are intended for access without been logged to testlink, not as a kind of shortcut.
(0026250)
Mr.Bricodage (updater)
2017-04-06 08:17

FYI, I tried on an random previous version : with TL 1.9.10, the same problem occurs.
Tested on Chrome : the same behaviour occurs
(0026258)
fman (administrator)
2017-04-08 08:33
edited on: 2017-04-08 08:33

After implementation related to:#0007915
you will be logged out from testlink.
direct link are not designed to be quick navigation, but access without login.
In addition TestLink uses a lot Testproject id present on SESSION, and browsers (AFAIK) do not manage it at TAB LEVEL.

Conclusion: will not be fixed


- Issue History
Date Modified Username Field Change
2017-04-03 14:46 Mr.Bricodage New Issue
2017-04-03 15:39 fman Note Added: 0026236
2017-04-05 08:50 Mr.Bricodage Browser => Firefox 45.0.1
2017-04-06 08:17 Mr.Bricodage Note Added: 0026250
2017-04-08 08:29 fman Relationship added related to 0007915
2017-04-08 08:33 fman Note Added: 0026258
2017-04-08 08:33 fman Note Edited: 0026258 View Revisions
2017-04-08 08:33 fman QA Team - Task Workflow Status => TBD
2017-04-08 08:33 fman Status new => resolved
2017-04-08 08:33 fman Resolution open => won't fix
2017-04-08 08:33 fman Assigned To => fman
2017-04-08 08:34 fman Relationship added related to 0007913



Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker